.header-nav-menu {
  padding: 45px 0 51px 0;
  display: flex;
  justify-content: space-evenly;
  max-width: 100%;
}
.header-nav__link {
  font-size: 11px;
  letter-spacing: 2px;
  text-decoration: none;
  color: black;
  font-weight: 400;
  text-transform: uppercase;
}
.nav--mobile {
  padding-top: 23px;
}
.nav-container--mobile {
  position: relative;
  height: 60px;
  display: flex;
  justify-content: end;
}
.nav--mobile {
  display: none;
}
.nav-container--mobile {
  .checkbox {
    position: absolute;
    display: block;
    height: 32px;
    width: 32px;
    top: 0px;
    right: 0px;
    z-index: 5;
    opacity: 0;
    cursor: pointer;
  }
}

.nav-container--mobile {
  .hamburger-lines {
    display: block;
    height: 37px;
    width: 44px;
    position: absolute;
    top: 0px;
    right: 0px;
    z-index: 2;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-color: black;
    align-items: center;
  }
}
.nav-container--mobile {
  .hamburger-lines {
    .line {
      display: block;
      height: 2px;
      width: 17px;
      border-radius: 10px;
      background: white;
    }
  }
}
.nav-container--mobile {
  .hamburger-lines {
    .line1 {
      transform-origin: 0% 0%;
      transition: transform 0.4s ease-in-out;
    }
  }
}
.nav-container--mobile {
  .hamburger-lines {
    .line2 {
      margin-top: 3px;
      transform-origin: 0% 0%;
      transition: transform 0.4s ease-in-out;
    }
  }
}
.nav-container--mobile {
  .hamburger-lines {
    .line3 {
      margin-top: 3px;
      transform-origin: 0% 0%;
      transition: transform 0.4s ease-in-out;
    }
  }
}
.nav--mobile {
  .header-nav-menu--mobile {
    margin-top: 35px;
    height: 208px;
    width: 182px;
    background-color: #f5f5f5;
    transform: translateX(-100vw);
    display: flex;
    justify-content: space-evenly;
    padding-left: 13px;
    flex-direction: column;
    transition: transform 0.5s ease-in-out;
  }
}

.nav-container--mobile {
  display: flex;
  justify-content: end;
  width: 100%;
}

.nav-container--mobile input[type="checkbox"]:checked ~ .header-nav-menu--mobile {
  transform: translateX(0);
}

.nav-container--mobile input[type="checkbox"]:checked ~ .hamburger-lines .line1 {
  transform: rotate(33deg);
}

.nav-container--mobile input[type="checkbox"]:checked ~ .hamburger-lines .line2 {
  transform: scaleY(0);
}

.nav-container--mobile input[type="checkbox"]:checked ~ .hamburger-lines .line3 {
  transform: rotate(-44deg);
}
